# MIDSIS-TROCS 4.0 offline application guide

The Plone Unified Installer is a source-installation kit that installs Plone and its dependencies from source on most Unix-like platforms and Windows 10.

The kit includes Plone and Zope and will download components like Python if needed.

Python is installed in a way that will not change or interfere with your system Python.

## Linux<a name="linux"></a>

### Requirements

#### Installing Python

Installing python and others system libraries.

```
sudo apt-get install build-essential libssl-dev libz-dev libjpeg-dev libreadline-dev libxml2-dev libxslt-dev python2.7 python2.7-dev
```

### Installing Plone

Windows users: please see the separate [Windows Instructions](#windows).

Download the Installer:

```
wget --no-check-certificate https://midsis.rempec.org/standalone-UnifiedInstaller.tgz
```

Extract the downloaded file:

```
tar -xf standalone-UnifiedInstaller.tgz
```

Go the folder containing installer script:

```
cd standalone-UnifiedInstaller
```

Run script:

```
./install.sh
```

## Windows<a name="windows"></a>

### Prerequisites

The Unified Installer is installed and operated via the Windows Command Prompt. You will need expertise adequate to open a command prompt, navigate the file system and execute programs via the command prompt. There are many excellent tutorials available, such as [Windows Command Prompt in 15 Minutes](https://www.cs.princeton.edu/courses/archive/spr05/cos126/cmd-prompt.html).

### Requirements

-   [Python 2.7.x x86-64 MSI Installer](https://www.python.org/downloads/windows/) -- choose the "Windows x86-64 MSI installer" for the latest Python 2.7.
-   [Microsoft Visual C++ Compiler for Python 2.7](http://aka.ms/vcpython27) -- this is a subset of MS VC++ that provides a full development kit for the Windows version of Python 2.7.x.
-   Tar, a compressed archive utility, for Windows. This has been a standard part of Windows since build 17063. You may check for its existence by executing `tar` from a command prompt.
-   Internet access. Unlike the Linux/Unix install, the Windows install needs access to the Internet in order to install additional packages from the Python Package Index (PyPI).

Check for tar first. If it's not available, update your copy of Windows. Next, install Python, using the instructions below to make sure you choose the right options. Finally, install the MSVC++ Compiler for Python 2.7. There are no options in this install.

#### Installing Python

-   Choose either *Install for all users* or *Install just for me*.
-   On the installer's "Customize Python 2.7.x (64-bit)" page, scroll down and click on the option to `Add python.exe to Path`.

After installing, make sure `python.exe` is in your PATH.

To test if it is in your PATH, type "python" and hit Return; if you see a message `'python' is not recognized as an internal or external command, operable program or batch file` then it is not in your PATH and you may have to restart Windows.

You can add it to your PATH manually with the command `PATH=$PATH;c:\Python27`.

### Download the installer

Download the installre from <https://midsis.rempec.org/standalone-UnifiedInstaller.tgz>. Keep track of the download location.

### Installing Plone

#### Unpacking the installer

Open the Windows Command Prompt. Change your current directory to the download location and use `tar` to unpack the download.

```shell
cd Download
tar xf standalone-UnifiedInstaller.tgz
```

Substitute your version number as needed.

#### Running the installer

Change your current directory to the unpacked archive's directory and execute the Windows install batch routine:

```bash
cd standalone-UnifiedInstaller
windows_install.bat
```

#### Results

Expect the installer to take a considerable amount of time to run, with very few messages after the build begins. At the end of the install, expect a message like:

    #######################  Installation Complete  ######################

    Plone successfully installed at \Users\steve\Plone\zinstance
    See \Users\steve\Plone\zinstance\README.html
    for startup instructions.

    Use the account information below to log into the Zope Management Interface
    The account has full 'Manager' privileges.

      Username: admin
      Password: admin

    This account is created when the object database is initialized. If you change
    the password later (which you should!), you'll need to use the new password.

    Use this account only to create Plone sites and initial users. Do not use it
    for routine login or maintenance.

If you see anything different, look for error messages. You may need to read the install log on disk.

You will probably also get a dialog from Windows Defender, prompting you to allow network access for Python. For development purposes, \[access to private networks\](images/Plone-Windows-Firewall.png) is sufficient.

Once installed, expect Plone (and buildout if you're doing development) to work as generally documented. You will, of course, need to use Windows pathnames (substitute "" for "/") rather than Unix forms.

## Start website<a name="start-website"></a>

### Start Plone

Let's assume plone has been installed in your home folder.

For start Plone use:

```
cd ~/Plone/zinstance
bin/plonectl start
```

For stop use:

```
cd ~/Plone/zinstance
bin/plonectl stop
```

### Buildout<a name="buildout"></a>

Let's assume plone has been installed in your home folder.

If there are any updates to the packages you must run `buildout`, after shutting down the site, with the command:
```
cd ~/Plone/zinstance
bin/buildout -N
```

## Copyright

Copyright (c) 2020-2020 Maritime Integrated Decision Support Information System on Transport of Chemical Substances

Powered with [Plone](https://plone.org) & [Python](https://www.python.org) by [Tecnoteca](https://www.tecnoteca.com).

